Package org.apache.velocity.runtime.parser.node

# Interface StandardParserVisitor

All Known Implementing Classes:
  `BaseVisitor`, `IndentationFixer`, `NodeViewMode`, `StandardParserDefaultVisitor`

public interface StandardParserVisitor

## Method Summary

Modifier and Type
Method
Description
`Object`
`visit(ASTAddNode node, Object data)`
`Object`
`visit(ASTAndNode node, Object data)`
`Object`
`visit(ASTAssignment node, Object data)`
`Object`
`visit(ASTBlock node, Object data)`
`Object`
`visit(ASTComment node, Object data)`
`Object`
`visit(ASTDirectiveAssign node, Object data)`
`Object`
`visit(ASTDirective node, Object data)`
`Object`
`visit(ASTDivNode node, Object data)`
`Object`
`visit(ASTElseIfStatement node, Object data)`
`Object`
`visit(ASTElseStatement node, Object data)`
`Object`
`visit(ASTEQNode node, Object data)`
`Object`
`visit(ASTEscapedDirective node, Object data)`
`Object`
`visit(ASTEscape node, Object data)`
`Object`
`visit(ASTExpression node, Object data)`
`Object`
`visit(ASTFalse node, Object data)`
`Object`
`visit(ASTFloatingPointLiteral node, Object data)`
`Object`
`visit(ASTGENode node, Object data)`
`Object`
`visit(ASTGTNode node, Object data)`
`Object`
`visit(ASTIdentifier node, Object data)`
`Object`
`visit(ASTIfStatement node, Object data)`
`Object`
`visit(ASTIndex node, Object data)`
`Object`
`visit(ASTIntegerLiteral node, Object data)`
`Object`
`visit(ASTIntegerRange node, Object data)`
`Object`
`visit(ASTLENode node, Object data)`
`Object`
`visit(ASTLTNode node, Object data)`
`Object`
`visit(ASTMap node, Object data)`
`Object`
`visit(ASTMethod node, Object data)`
`Object`
`visit(ASTModNode node, Object data)`
`Object`
`visit(ASTMulNode node, Object data)`
`Object`
`visit(ASTNegateNode node, Object data)`
`Object`
`visit(ASTNENode node, Object data)`
`Object`
`visit(ASTNotNode node, Object data)`
`Object`
`visit(ASTObjectArray node, Object data)`
`Object`
`visit(ASTOrNode node, Object data)`
`Object`
`visit(ASTprocess node, Object data)`
`Object`
`visit(ASTReference node, Object data)`
`Object`
`visit(ASTSetDirective node, Object data)`
`Object`
`visit(ASTStringLiteral node, Object data)`
`Object`
`visit(ASTSubtractNode node, Object data)`
`Object`
`visit(ASTTextblock node, Object data)`
`Object`
`visit(ASTText node, Object data)`
`Object`
`visit(ASTTrue node, Object data)`
`Object`
`visit(ASTWord node, Object data)`
`Object`
`visit(SimpleNode node, Object data)`

## Method Details

### visit

Object visit(SimpleNode node, Object data)

### visit

Object visit(ASTprocess node, Object data)

### visit

Object visit(ASTText node, Object data)

### visit

Object visit(ASTEscapedDirective node, Object data)

### visit

Object visit(ASTEscape node, Object data)

### visit

Object visit(ASTComment node, Object data)

### visit

Object visit(ASTTextblock node, Object data)

### visit

Object visit(ASTFloatingPointLiteral node, Object data)

### visit

Object visit(ASTIntegerLiteral node, Object data)

### visit

Object visit(ASTStringLiteral node, Object data)

### visit

Object visit(ASTIdentifier node, Object data)

### visit

Object visit(ASTWord node, Object data)

### visit

Object visit(ASTDirectiveAssign node, Object data)

### visit

Object visit(ASTDirective node, Object data)

### visit

Object visit(ASTBlock node, Object data)

### visit

Object visit(ASTMap node, Object data)

### visit

Object visit(ASTObjectArray node, Object data)

### visit

Object visit(ASTIntegerRange node, Object data)

### visit

Object visit(ASTMethod node, Object data)

### visit

Object visit(ASTIndex node, Object data)

### visit

Object visit(ASTReference node, Object data)

### visit

Object visit(ASTTrue node, Object data)

### visit

Object visit(ASTFalse node, Object data)

### visit

Object visit(ASTIfStatement node, Object data)

### visit

Object visit(ASTElseStatement node, Object data)

### visit

Object visit(ASTElseIfStatement node, Object data)

### visit

Object visit(ASTSetDirective node, Object data)

### visit

Object visit(ASTExpression node, Object data)

### visit

Object visit(ASTAssignment node, Object data)

### visit

Object visit(ASTOrNode node, Object data)

### visit

Object visit(ASTAndNode node, Object data)

### visit

Object visit(ASTEQNode node, Object data)

### visit

Object visit(ASTNENode node, Object data)

### visit

Object visit(ASTLTNode node, Object data)

### visit

Object visit(ASTGTNode node, Object data)

### visit

Object visit(ASTLENode node, Object data)

### visit

Object visit(ASTGENode node, Object data)

### visit

Object visit(ASTAddNode node, Object data)

### visit

Object visit(ASTSubtractNode node, Object data)

### visit

Object visit(ASTMulNode node, Object data)

### visit

Object visit(ASTDivNode node, Object data)

### visit

Object visit(ASTModNode node, Object data)

### visit

Object visit(ASTNotNode node, Object data)

### visit

Object visit(ASTNegateNode node, Object data)